> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get configuration info

> Retrieves general configuration information.



## OpenAPI

````yaml openapi/general.yaml get /v1/configuration
openapi: 3.0.2
info:
  version: ${version}
  title: API Overview
  description: Common endpoints shared across all Circle APIs.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Health
    description: Inspect the health of the API.
  - name: Management
    description: General account and management information.
  - name: Subscriptions
    description: Manage subscriptions to notifications.
  - name: Stablecoins
    description: >-
      Retrieve stablecoins and their respective names, symbols, circulating
      total and per-chain amounts.
paths:
  /v1/configuration:
    get:
      tags:
        - Management
      summary: Get configuration info
      description: Retrieves general configuration information.
      operationId: getAccountConfig
      responses:
        '200':
          description: Successfully retrieved configuration information.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetConfigResponse
                properties:
                  data:
                    $ref: '#/components/schemas/AccountConfiguration'
              examples:
                response:
                  value:
                    data:
                      payments:
                        masterWalletId: '212000'
      security:
        - bearerAuth: []
components:
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    AccountConfiguration:
      type: object
      properties:
        payments:
          title: WalletConfig
          type: object
          properties:
            masterWalletId:
              $ref: '#/components/schemas/MerchantWalletId'
    MerchantWalletId:
      type: string
      description: Unique system generated identifier for the wallet of the merchant.
      maxLength: 36
      example: '212000'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````